# Delete a bot

Deletes a bot and its profile within the specified scope. This operation is irreversible.

RBAC:
- requires ANY of AIAgents.Manage, GroupAIAgents.Manage

Endpoint: DELETE /api/v1/ai-agents/{agentId}
Version: 1.0
Security: header

## Path parameters:

  - `agentId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Query parameters:

  - `scope` (string, required)
    Scope: 'global' or group TypeId

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


